## org.eclipse.emf.ocl.types.util
Class TypesAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ocl.types.util.TypesAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Deprecated. Use the `TypesAdapterFactory` class, instead.

    @Deprecated
    public class TypesAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `TypesPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static TypesPackage` `modelPackage` Deprecated. The cached model package
`protected TypesSwitch` `modelSwitch` Deprecated. The switch the delegates to the `createXXX` methods

Constructor Summary
`TypesAdapterFactory()` Deprecated. Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Deprecated. Creates an adapter for the `target`
`Adapter` `createAnyTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createASTNodeAdapter()` Deprecated. Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBagTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Bag Type`'
`Adapter` `createCollectionTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createEClassAdapter()` Deprecated. Creates a new adapter for an object of class '`EClass`'
`Adapter` `createEClassifierAdapter()` Deprecated. Creates a new adapter for an object of class '`EClassifier`'
`Adapter` `createEDataTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`EData Type`'
`Adapter` `createElementTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createEModelElementAdapter()` Deprecated. Creates a new adapter for an object of class '`EModel Element`'
`Adapter` `createENamedElementAdapter()` Deprecated. Creates a new adapter for an object of class '`ENamed Element`'
`Adapter` `createEObjectAdapter()` Deprecated. Creates a new adapter for the default case
`Adapter` `createInvalidTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Invalid Type`'
`Adapter` `createMessageTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Message Type`'
`Adapter` `createOrderedSetTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Ordered Set Type`'
`Adapter` `createPredefinedTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createPrimitiveBooleanAdapter()` Deprecated. Creates a new adapter for an object of class '`Primitive Boolean`'
`Adapter` `createPrimitiveIntegerAdapter()` Deprecated. Creates a new adapter for an object of class '`Primitive Integer`'
`Adapter` `createPrimitiveRealAdapter()` Deprecated. Creates a new adapter for an object of class '`Primitive Real`'
`Adapter` `createPrimitiveStringAdapter()` Deprecated. Creates a new adapter for an object of class '`Primitive String`'
`Adapter` `createPrimitiveTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Primitive Type`'
`Adapter` `createSequenceTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Sequence Type`'
`Adapter` `createSetTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Set Type`'
`Adapter` `createTupleTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Tuple Type`'
`Adapter` `createTypedASTNodeAdapter()` Deprecated. Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypeTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Type Type`'
`Adapter` `createVoidTypeAdapter()` Deprecated. Creates a new adapter for an object of class '`Void Type`'
`boolean` `isFactoryForType(Object object)` Deprecated. Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static TypesPackage modelPackage

  Deprecated.
  The cached model package.

### modelSwitch

    protected TypesSwitch modelSwitch

  Deprecated.
  The switch the delegates to the `createXXX` methods.

Constructor Detail

### TypesAdapterFactory

    public TypesAdapterFactory()

  Deprecated.
  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Deprecated.
  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Deprecated.
  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createBagTypeAdapter

    public Adapter createBagTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Bag Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BagType`

### createCollectionTypeAdapter

    public Adapter createCollectionTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createOrderedSetTypeAdapter

    public Adapter createOrderedSetTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Ordered Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedSetType`

### createSequenceTypeAdapter

    public Adapter createSequenceTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Sequence Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceType`

### createSetTypeAdapter

    public Adapter createSetTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Set Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SetType`

### createTupleTypeAdapter

    public Adapter createTupleTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TupleType`

### createVoidTypeAdapter

    public Adapter createVoidTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Void Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VoidType`

### createMessageTypeAdapter

    public Adapter createMessageTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Message Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageType`

### createElementTypeAdapter

    public Adapter createElementTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`

### createInvalidTypeAdapter

    public Adapter createInvalidTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Invalid Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvalidType`

### createTypeTypeAdapter

    public Adapter createTypeTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Type Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeType`

### createPrimitiveTypeAdapter

    public Adapter createPrimitiveTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createPrimitiveBooleanAdapter

    public Adapter createPrimitiveBooleanAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Primitive Boolean`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveBoolean`

### createPrimitiveIntegerAdapter

    public Adapter createPrimitiveIntegerAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Primitive Integer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveInteger`

### createPrimitiveRealAdapter

    public Adapter createPrimitiveRealAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Primitive Real`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveReal`

### createPrimitiveStringAdapter

    public Adapter createPrimitiveStringAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Primitive String`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveString`

### createAnyTypeAdapter

    public Adapter createAnyTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createEClassifierAdapter

    public Adapter createEClassifierAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClassifier`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createEDataTypeAdapter

    public Adapter createEDataTypeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`EData Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataType`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createEClassAdapter

    public Adapter createEClassAdapter()

  Deprecated.
  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClass`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Deprecated.
  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.